Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class TextAlignType

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.MarkupElement
                  |
                  +--weblogic.html.TextAlignType

public class TextAlignType
extends MarkupElement

A TextAlignType object is used to set the alignment for text, that is, for the text contents of an HtmlElement. The default is aligned left.

Use an AlignType object to set the alignment of HtmlElement objects.

Author:
  Copyright (c) 1995-97 by WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `DivElement`, `AlignType`

Field Summary
`static TextAlignType` | `center` Deprecated. Aligns text in the center.
`static TextAlignType` | `justify` Deprecated. Justifies text where practical, otherwise gives the same effect as setting the align to 'left'.
`static TextAlignType` | `left` Deprecated. Aligns text along the left margin.
`static TextAlignType` | `right` Deprecated. Aligns text along the right margin.

Fields inherited from class weblogic.html.MarkupElement
`BeginAddress, BeginAddressStr, BeginBlockquote, BeginBlockquoteStr, BeginBody, BeginBodyStr, BeginBold, BeginBoldStr, BeginCenter, BeginCenterStr, BeginComment, BeginCommentStr, BeginDiv, BeginDivStr, BeginHeadStr, BeginHtml, BeginHtmlStr, BeginItalic, BeginItalicStr, BeginLiteral, BeginLiteralStr, BeginParagraph, BeginParagraphStr, BeginScriptStr, BeginTitle, BeginTitleStr, Break, BreakStr, contents, CR, CRStr, EndAddress, EndAddressStr, EndBlockquote, EndBlockquoteStr, EndBody, EndBodyStr, EndBold, EndBoldStr, EndCenter, EndCenterStr, EndComment, EndCommentStr, EndDiv, EndDivStr, EndFont, EndFontStr, EndHeadStr, EndHtml, EndHtmlStr, EndItalic, EndItalicStr, EndLiteral, EndLiteralStr, EndParagraph, EndParagraphStr, EndScriptStr, EndTitle, EndTitleStr, HorizontalLine, HorizontalLineStr, HorizontalRule, NoBreak, NoBreakStr, WordBreak, WordBreakStr`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`TextAlignType(java.lang.String str)` Deprecated. Constructor.

Methods inherited from class weblogic.html.MarkupElement
`BeginFont, BeginFontFace, BeginFontSize, BeginHeader, EndHeader, output, output, output, setContents`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString, widthAsLiteral`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### left

    public static TextAlignType left

  Deprecated.
  Aligns text along the left margin.

### right

    public static TextAlignType right

  Deprecated.
  Aligns text along the right margin.

### center

    public static TextAlignType center

  Deprecated.
  Aligns text in the center.

### justify

    public static TextAlignType justify

  Deprecated.
  Justifies text where practical, otherwise gives the same effect as setting the align to 'left'.

Constructor Detail

### TextAlignType

    public TextAlignType(java.lang.String str)

  Deprecated.
  Constructor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD